%define name	guikachu
%define version	1.0.1
%define release	1mdk

Summary:	Guikachu is a resource editor for PalmOS systems.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Other
URL:		http://cactus.rulez.org/projects/guikachu

Source:		%{name}-%{version}.tar.bz2

BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libgnome32-devel libgtkmm1.2-devel libgnomemm-1.2_9-devel libgdk-pixbuf2-devel libxml-devel libglade0-devel perl

%description
Guikachu is a resource editor for PalmOSTM systems. It allows you to visually
create dialog boxes, menu bars and windows for your Palm application in the
GNOME desktop environment.

It allow to export to PilRC .rcp files.


%prep
%setup

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
find $RPM_BUILD_ROOT%{_datadir}/locale -name %{name}.mo | \
    perl -pe 'm|locale/([^/_]*)(.*)|; $_ = "%%lang($1) %{_datadir}/locale/$1$2\n"' > %{name}.lang

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc README COPYING NEWS TODO AUTHORS ChangeLog ABOUT-NLS INSTALL
%{_bindir}/*
%{_datadir}/guikachu
%{_datadir}/application-registry/*
%{_datadir}/gnome/apps/Development/*
%{_datadir}/gnome/help/guikachu
%{_datadir}/pixmaps/*
%{_datadir}/mime-info/*

%changelog
* Mon Jan 14 2002 Franois Pons <fpons@mandrakesoft.com> 1.0.1-1mdk
- initial release.
